<?php

namespace interfaces;

use Stripe\StripeClient;

interface stripe_i
{
    /**
     * Require the module to be enabled
     * @returns void
     */
    public function requireModuleEnabled(): void;

    /**
     * Require the secret key to be set
     * @returns void
     */
    public function requireValidSecretKey(): void;

    /**
     * Require the publishable key to be set
     * @returns void
     */
    public function requireValidPublishableKey(): void;

    /**
     * Get the Stripe client
     * @returns StripeClient
     */
    public function getClient(): StripeClient;
}